Bug 1459965 - repl-monitor - matches null string many times in regex
repl-monitor - matches null string many times in regex
Status: VERIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
7.3
All Linux
medium Severity low
: rc
: ---
Assigned To: mreynolds
Viktor Ashirov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-08 13:02 EDT by Marc Sauton
Modified: 2017-11-02 06:35 EDT (History)
3 users (show)

See Also:
Fixed In Version: 389-ds-base-1.3.7.5-5.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Sauton 2017-06-08 13:02:25 EDT
Description of problem:

/usr/bin/repl-monitor.pl from 1.3.5.10-18.el7_3 and perl-5 works OK , but has those messages that did not exist on RHEL-6 and earlier:

^* matches null string many times in regex; marked by <-- HERE in m/^* <-- HERE (\.[^:]+)*:[0-9]+\D/ at /usr/bin/repl-monitor.pl line 1071.
^* matches null string many times in regex; marked by <-- HERE in m/^* <-- HERE (\.[^:]+)*:\*:/ at /usr/bin/repl-monitor.pl line 1071.

this is a report associated with a customer request, for a possible regression.


Version-Release number of selected component (if applicable):
389-ds-base-1.3.5.10-18.el7_3.x86_64
redhat-release-server-7.3-7.el7.x86_64
perl-5.16.3-291.el7.x86_64


How reproducible:
consistently


Steps to Reproduce:

1. create a config file, for example:
cat << EOF > ./repl-monitor.conf
[connection]
*:*:*:password:

[alias]
m1 = ipaserver1.example.com:389
m2 = ipaserver2.example.com:389

[color]
0 = #ccffcc
5 = #FFFFCC
60 = #FFCCCC

EOF


2. run the tool
/usr/bin/repl-monitor.pl -h ipaserver1.example.com -p 389 -f ~/repl-monitor.conf > ~/t.html

3. verify result, looked OK:
elinks t.html -dump > t.html.elinks.output.txt
less t.html.elinks.output.txt
...snip...
                     Supplier:  ipaserver1.example.com:389

                                       Replica ID: 4 Replica Root: dc=example,dc=com Max CSN: 59397e81000000040000 (06/08/2017 16:42:41)
...snip...



Actual results:

tools works ok, but report of

^* matches null string many times in regex; marked by <-- HERE in m/^* <-- HERE (\.[^:]+)*:[0-9]+\D/ at /usr/bin/repl-monitor.pl line 1071.
^* matches null string many times in regex; marked by <-- HERE in m/^* <-- HERE (\.[^:]+)*:\*:/ at /usr/bin/repl-monitor.pl line 1071.


Expected results:


Additional info:
Comment 2 mreynolds 2017-10-02 16:16:58 EDT
Upstream ticket:
https://pagure.io/389-ds-base/issue/49388
Comment 4 Amita Sharma 2017-10-24 09:55:07 EDT
[root@qeos-46 replication]# rpm -qa | grep 389
389-ds-base-libs-1.3.7.5-6.el7.x86_64
389-ds-base-1.3.7.5-6.el7.x86_64
389-ds-base-snmp-1.3.7.5-6.el7.x86_64
389-ds-base-debuginfo-1.3.7.5-6.el7.x86_64

[root@qeos-46 replication]# vim repl-monitor.conf
[root@qeos-46 replication]# /usr/bin/repl-monitor.pl -h localhost -p 39001 -f repl-monitor.conf > t.html
[root@qeos-46 replication]# elinks t.html -dump > t.html.elinks.output.txt
[root@qeos-46 replication]# less t.html.elinks.output.txt
[root@qeos-46 replication]# cat t.html.elinks.output.txt
    Tue Oct 24 2017 09:25:15    Directory Server Replication     Version 1.1
                                           Status

                                 Time Lag Legend:

                            Within   Within   Over 60  Server
                   Unknown     5       60     minutes   n/a
                            minutes  minutes

   --------------------------------------------------------------------------

                                 Supplier:  m1

            Replica ID: 1 Replica Root: dc=example,dc=com Max CSN: 59ef2de3000700010000 (10/24/2017 08:11:15 7 0)
      Consumer       Time   Supplier     Consumer    Last Modify  Supplier  Sent/Skipped    Update       Update      Update    Schedule  SSL?
                     Lag     Max CSN      Max CSN       Time                                Status      Started      Ended
                                                                                          Error (0)
                                                                                          No
                                                                                          replication
 [1]localhost:39002  n/a   Unavailable  Unavailable  Unavailable     m1     0 / 0         sessions     12/31/1969  12/31/1969  always    n
 Type: Unavailable                                                                        started      19:00:00    19:00:00    in sync
                                                                                          since
                                                                                          server
                                                                                          startup
                                                                                          Error (0)
                                                                                          No
                                                                                          replication
 [2]localhost:39003  n/a   Unavailable  Unavailable  Unavailable     m1     0 / 0         sessions     12/31/1969  12/31/1969  always    n
 Type: Unavailable                                                                        started      19:00:00    19:00:00    in sync
                                                                                          since
                                                                                          server
                                                                                          startup
                                                                                          Error (0)
                                                                                          No
                                                                                          replication
 [3]localhost:39004  n/a   Unavailable  Unavailable  Unavailable     m1     0 / 0         sessions     12/31/1969  12/31/1969  always    n
 Type: Unavailable                                                                        started      19:00:00    19:00:00    in sync
                                                                                          since
                                                                                          server
                                                                                          startup

References


No error found.

Note You need to log in before you can comment on or make changes to this bug.